package com.njcn.device.pms.service.ledgerManger;

import com.njcn.device.biz.pojo.dto.*;
import com.njcn.device.biz.pojo.param.DeptGetLineParam;

import java.util.List;

/**
 * pqs
 *
 * @author cdf
 * @date 2023/5/10
 */

public interface CommTerminalService {


    /**
     *通过部门获取所有子集部门所拥有的监测点
     * @author cdf
     * @date 2023/5/10
     */
    List<DeptGetChildrenDTO> deptGetLineList(DeptGetLineParam deptGetLineParam);

    /**
     * 根据单位获取所有子单位信息
     * @author cdf
     * @date 2023/5/10
     */
    List<DeptGetBase> getDeptChildrenByParent(DeptGetLineParam deptGetLineParam);

    /**
     * 根据单位获取单位监测点
     * @author cdf
     * @date 2023/5/10
     */
    List<DeptGetChildrenMoreDTO> deptGetLine(DeptGetLineParam deptGetLineParam);

    /**
     * 根据单位获取所有变电站
     * @author cdf
     * @date 2023/5/10
     */
    List<DeptGetSubStationDTO> deptSubStation(DeptGetLineParam deptGetLineParam);


    /**
     * 根据单位获取所有变电站
     * @author cdf
     * @date 2023/5/10
     */
    List<DeptGetBusBarDTO> deptBusBar(DeptGetLineParam deptGetLineParam);


    /**
     * 根据单位获取所有装置
     * @author cdf
     * @date 2023/5/10
     */
    List<DeptGetDeviceDTO> deptGetDevice(DeptGetLineParam deptGetLineParam,Integer type);

    /**
     * 根据单位获取所有装置
     * @author cdf
     * @date 2023/5/10
     */
    LineDevGetBandDTO substationGetLine(String substationId);


    /**
     * 根据母线获取监测点信息
     * @author cdf
     * @date 2023/5/10
     */
    LineDevGetBandDTO busBarGetLine(String busBarId);




    String updatePmsOverLimit();




}
